- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

# xcb_shm_query_version_reply_t Struct Reference
[XCB Shm API]

xcb_shm_query_version_reply_t More...

`#include <shm.h>`

## Data Fields
uint8_t | response_type
uint8_t | shared_pixmaps
uint16_t | sequence
uint32_t | length
uint16_t | major_version
uint16_t | minor_version
uint16_t | uid
uint16_t | gid
uint8_t | pixmap_format
uint8_t | pad0 [15]

## Detailed Description

xcb_shm_query_version_reply_t

## Field Documentation

uint8_t xcb_shm_query_version_reply_t::response_type

uint8_t xcb_shm_query_version_reply_t::shared_pixmaps

uint16_t xcb_shm_query_version_reply_t::sequence

uint32_t xcb_shm_query_version_reply_t::length

uint16_t xcb_shm_query_version_reply_t::major_version

uint16_t xcb_shm_query_version_reply_t::minor_version

uint16_t xcb_shm_query_version_reply_t::uid

uint16_t xcb_shm_query_version_reply_t::gid

uint8_t xcb_shm_query_version_reply_t::pixmap_format

uint8_t xcb_shm_query_version_reply_t::pad0[15]

The documentation for this struct was generated from the following file:

- shm.h